> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml put /auto/agent/{id}
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /auto/agent/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    put:
      summary: Update Agent
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentUpdate'
      responses:
        '200':
          description: Agent updated successfully
        '404':
          description: Agent not found
      deprecated: true
components:
  schemas:
    AgentUpdate:
      type: object
      additionalProperties: false
      properties:
        face_id:
          type: string
          format: uuid
        name:
          type: string
        first_message:
          type: string
        prompt:
          type: string
        voice_provider:
          type: string
          enum:
            - elevenlabs
            - cartesia
        voice_id:
          type: string
          format: uuid
        voice_model:
          type: string
          example: sonic-english
        llm_model:
          type: string
          example: gpt-4o-mini
        llm_endpoint:
          type: string
          description: The URL of the custom LLM to use
          example: https://api.example.com/v1/chat/completions
        language:
          type: string
        emotion:
          type: string
          format: uuid
        max_idle_time:
          type: integer
        max_session_length:
          type: integer
        llm_provider:
          type: string
          enum:
            - openai
            - google
            - user
          description: The provider of the LLM used by the agent
        created_at:
          type: string
          format: date-time
          description: Timestamp when the agent was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the agent was updated
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````